Bug 227365 - databases/sqlite3: Update to 3.23.0
Summary: databases/sqlite3: Update to 3.23.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks: 227850
  Show dependency treegraph
 
Reported: 2018-04-08 09:43 UTC by Pavel Volkov
Modified: 2018-06-26 16:08 UTC (History)
2 users (show)

See Also:


Attachments
patch (3.66 KB, patch)
2018-04-08 09:43 UTC, Pavel Volkov
pavelivolkov: maintainer-approval+
Details | Diff
poudriere log (34.19 KB, text/plain)
2018-04-08 09:44 UTC, Pavel Volkov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Volkov 2018-04-08 09:43:04 UTC
Created attachment 192329 [details]
patch

Hello.
- Sqlite3 updated to version 3.23.0.
- Removed the patch with CVE-2018-8740, no longer needed.
Thank you.
Comment 1 Pavel Volkov 2018-04-08 09:44:46 UTC
Created attachment 192330 [details]
poudriere log
Comment 2 Yuri Victorovich freebsd_committer 2018-04-09 07:14:42 UTC
Committed.
Thank you for the update!
Comment 3 commit-hook freebsd_committer 2018-04-09 07:15:37 UTC
A commit references this bug:

Author: yuri
Date: Mon Apr  9 07:14:37 UTC 2018
New revision: 466838
URL: https://svnweb.freebsd.org/changeset/ports/466838

Log:
  databases/sqlite3: Update 3.22.0 -> 3.23.0

  Changelog:
  https://www.sqlite.org/releaselog/3_23_0.html

  Port changes:
  * Add SER1 option for the new optional sqlite3_serialize()/sqlite3_deserialize() functions
  * Remove security patches that are now in the release

  PR:		227365
  Submitted by:	Pavel Volkov <pavelivolkov@gmail.com> (maintainer)

Changes:
  head/databases/sqlite3/Makefile
  head/databases/sqlite3/distinfo
  head/databases/sqlite3/files/
Comment 4 commit-hook freebsd_committer 2018-06-26 15:49:37 UTC
A commit references this bug:

Author: jbeich
Date: Tue Jun 26 15:48:34 UTC 2018
New revision: 473392
URL: https://svnweb.freebsd.org/changeset/ports/473392

Log:
  MFH: r466838 by yuri

  databases/sqlite3: Update 3.22.0 -> 3.23.0

  Changelog:
  https://www.sqlite.org/releaselog/3_23_0.html

  Port changes:
  * Add SER1 option for the new optional sqlite3_serialize()/sqlite3_deserialize() functions
  * Remove security patches that are now in the release

  PR:		227365
  Submitted by:	Pavel Volkov <pavelivolkov@gmail.com> (maintainer)
  Approved by:	ports-secteam blanket (required by Firefox 61)

Changes:
_U  branches/2018Q2/
  branches/2018Q2/databases/sqlite3/Makefile
  branches/2018Q2/databases/sqlite3/distinfo
  branches/2018Q2/databases/sqlite3/files/